/*
	QGL TexturesEditor
    Ivan Pelipenko peri4ko@yandex.ru

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU Lesser General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef textures_editor_H
#define textures_editor_H

#include "gltypes.h"

#include <QFileDialog>

namespace Ui {
class TexturesEditor;
}

class TexturesEditor: public QWidget {
	Q_OBJECT

public:
	explicit TexturesEditor(QWidget * parent = 0);

	void assignQGLView(QGLView * v);

protected:
	void changeEvent(QEvent * e);
	void setPathes();

	Ui::TexturesEditor * ui;
	QGLView * view;
	QString prev_path;

public slots:
	void showPathes();

private slots:
	void showWarning();
	void on_buttonPathesAdd_clicked();
	void on_buttonPathesDelete_clicked();
	void on_buttonPathesClear_clicked();
	void on_buttonReload_clicked();

signals:
	void changed();
};

#endif
